% DynamicDRV adapated from KPRKWdrv.m 
%
% Stochastic Driving Processes of Khan, King and Wolman (2000) 'Optimal Monetary Policy'
% as required by King and Watson solution programs KW98REV_1.  This program must define
% 3 arrays: Q, RHO and G.  See DynamicLinear for additional remarks.
%
% Aubhik Khan, 04.06.00 
%
% Set the law of motion for the exogenous shock process.
%
Q = [1 0 0; 0 1 0; 0 0 1];
RHO = [0.95 0 0; 0 0.95 0; 0 0 0.5];
G = [1 1 1]';
