function [ylist, xlist] = DynamicList(J);

% Generate ylist and xlist for Khan, King and Wolman (2000) 'Optimal Monetary Policy' as required by 
% King and Watson solution programs KW98REV_1.  This file is called from DynamicLinear.
%
% Aubhik 04.06.00

ylist(1,1:10)  = 'mdelta(t) ';
ylist(2,1:10)  = 'mxi(t)    ';
ylist(3,1:10)  = 'momega(t) ';
ylist(4,1:10)  = 'mrho(t)   ';
ylist(5,1:10)  = 'mlambda(t)';

for i = 1:1:J-1
   ylist(5+i,1:10) = '          ';
   ylist(5+i,1:5 + length(num2str(i))) = ['mq',num2str(i),'(t)'];
end

ylist(5+J,1:10) = 'mphi(t)   ';

for i = 1:1:J-1
   ylist(5+J + i,1:10) = '          ';
   ylist(5+J+i,1:4 + length(num2str(i))) = ['V',num2str(i),'(t)'];
end

ylist(5+2*J,1:10) = 'mpsi(t)   ';

for i = 1:1:J
   ylist(5+2*J + i,1:10) = '          ';
   ylist(5+2*J+i,1:4 + length(num2str(i))) = ['s',num2str(i-1),'(t)'];
end

ylist(6+3*J,1:10) = 'R(t)      ';
ylist(7+3*J,1:10) = 'c(t)      ';
ylist(8+3*J,1:10) = 'xi(t)     ';
ylist(9+3*J,1:10) = 'lambda(t) ';
ylist(10+3*J,1:10)= 'l(t)      ';
ylist(11+3*J,1:10)= 'n(t)      ';
ylist(12+3*J,1:10)= 'iinfl(t)  ';

for i = 1:1:J-1
   ylist(12+3*J + i,1:10) = '          ';
   ylist(12+3*J + i,1:6 + length(num2str(i))) = ['s',num2str(i-1),'(t-1)'];
end

for i = 1:1:J-1
   ylist(11+4*J + i,1:10) = '          ';
   ylist(11+4*J + i,1:8 + length(num2str(i))) = ['mphi(t-',num2str(i),')'];
end

ylist(11+5*J,1:10) = 'R(t-1)    ';
ylist(12+5*J,1:10) = 'mpsi(t-1) ';

xlist(1,1:10) = 'a(t)      ';
xlist(2,1:10) = 'g(t)      ';
xlist(3,1:10) = 'z(t)      ';
