function [ylist, xlist] = DynamicListCE(J);

% Generate ylist and xlist for Khan, King and Wolman (2000) 'Optimal Monetary Policy' as required by 
% King and Watson solution programs KW98REV_1.  This file is called from DynamicLinear.
%
% Aubhik 04.06.00

for i = 1:1:J-1
   ylist(i,1:10) = '          ';
   ylist(i,1:4 + length(num2str(i))) = ['V',num2str(i),'(t)'];
end

for i = 1:1:J
   ylist(J-1 + i,1:10) = '          ';
   ylist(J-1 + i,1:4 + length(num2str(i))) = ['s',num2str(i-1),'(t)'];
end

ylist(2*J,1:10) = 'R(t)      ';
ylist(1+2*J,1:10) = 'c(t)      ';
ylist(2+2*J,1:10) = 'xi(t)     ';
ylist(3+2*J,1:10) = 'lambda(t) ';
ylist(4+2*J,1:10)= 'l(t)      ';
ylist(5+2*J,1:10)= 'n(t)      ';
ylist(6+2*J,1:10)= 'iinfl(t)  ';

for i = 1:1:J-1
   ylist(6+2*J + i,1:10) = '          ';
   ylist(6+2*J + i,1:6 + length(num2str(i))) = ['s',num2str(i-1),'(t-1)'];
end

ylist(5+3*J,1:10) = 'R(t-1)    ';

xlist(1,1:10) = 'a(t)      ';
xlist(2,1:10) = 'g(t)      ';
xlist(3,1:10) = 'z(t)      ';
